License AuthorizationEnable or disable a shared secret

Enable or disable a shared secret

curl -X POST "https://api.5centscdn.com/v2/drm/auth/secrets/84ce8bbc-eb7f-42fd-bcc4-f42634b0067b/enable/true" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "result": "success",
  "id": "84ce8bbc-eb7f-42fd-bcc4-f42634b0067b",
  "enabled": true,
  "description": "service 10001 - auth token secret"
}
POST
/drm/auth/secrets/{secretuuid}/enable/{flag}
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
secretuuidstring
Required

Unique identifier (UUID) of the shared secret, as returned by the list shared secrets endpoint.

Format: uuid
path
flagstring
Required

true to enable the secret, false to disable it.

Options: true, false
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

secretuuidstring
Required

Unique identifier (UUID) of the shared secret, as returned by the list shared secrets endpoint.

Example:
84ce8bbc-eb7f-42fd-bcc4-f42634b0067b
flagstring
Required

true to enable the secret, false to disable it.

Allowed values:truefalse

Responses

resultstring

Operation outcome.

Allowed values:successerror
idstring

Unique identifier (key ID) of the shared secret.

enabledboolean

True if the secret is now accepted by DRMtoday.

descriptionstring

Description of the shared secret.